%global module cornice
%global desc Helpers to build & document Web Services with Pyramid.

Name:             python-cornice
Version:          3.6.0
Release:          1%{?dist}
BuildArch:        noarch

License:          MPLv2.0
Summary:          Define Web Services in Pyramid
URL:              https://pypi.python.org/pypi/cornice
Source0:          https://github.com/Cornices/cornice/archive/%{version}/%{module}-%{version}.tar.gz


BuildRequires: %{py3_dist colander}
BuildRequires: %{py3_dist coverage}
BuildRequires: %{py3_dist mock}
BuildRequires: %{py3_dist nose}
BuildRequires: %{py3_dist pyramid} >= 1.7
BuildRequires: %{py3_dist setuptools}
BuildRequires: %{py3_dist simplejson}
BuildRequires: %{py3_dist sphinx}
BuildRequires: %{py3_dist venusian}
BuildRequires: %{py3_dist webtest}
BuildRequires: python3-devel


%description
%{desc}


%package -n python3-cornice
Summary:          %{summary}

Recommends: %{py3_dist colander}
Requires:   %{py3_dist pyramid} >= 1.7
Requires:   %{py3_dist simplejson}
Requires:   %{py3_dist six}
Requires:   %{py3_dist venusian}

%{?python_provide:%python_provide python3-%{module}}


%description -n python3-cornice
%{desc}


%prep
%autosetup -p1 -n %{module}-%{version}


%build
%py3_build


%install
%py3_install


%check
PYTHONPATH="." nosetests-3


%files -n python3-cornice
%license LICENSE
%doc CHANGES.txt CONTRIBUTORS.txt README.rst
%{python3_sitelib}/%{module}*


%changelog
* Tue Sep 03 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.6.0-1
- Update to 3.6.0 (#1742282).
- https://github.com/Cornices/cornice/blob/3.6.0/CHANGES.txt

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 26 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.5.1-1
- Update to 3.5.1 (#1669103).
- https://github.com/Cornices/cornice/blob/3.5.1/CHANGES.txt

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 08 2018 Miro Hrončok <mhroncok@redhat.com> - 3.4.0-2
- Subpackage python2-cornice has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Aug 23 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0 (#1543660).
- https://github.com/Cornices/cornice/blob/3.4.0/CHANGES.txt

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 18 2018 Miro Hrončok <mhroncok@redhat.com> - 3.1.0-2
- Rebuilt for Python 3.7

* Fri Apr 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0.
- https://github.com/Cornices/cornice/blob/3.1.0/CHANGES.txt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 21 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.0.0-2
- Use the py2_dist and py3_dist macros.

* Tue Dec 19 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0 (#1430178).
- https://github.com/Cornices/cornice/blob/3.0.0/CHANGES.txt
- https://cornice.readthedocs.io/en/latest/upgrading.html
- Clean up spec file to target only Rawhide since 3.0.0 can not be released on older releases.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 05 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.0-8
- Use python2- requires where appropriate.

* Wed Jul 05 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.0-7
- Provide python2- subpackages.
- Use the license macro.
- Reorganize requirements, and sort them alphabetically.
- Remove the execute bit from some templates.

* Tue Mar 07 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.0-6
- Apply two patches to allow autodoc generation to work again (#1430185, #1430186).

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
